Package com.databricks.jdbc.driver

## Class DatabricksJdbcConstants

- java.lang.Object
- - com.databricks.jdbc.driver.DatabricksJdbcConstants

    public final class DatabricksJdbcConstants
    extends Object

### Nested Class Summary

Nested Classes
`static class` `DatabricksJdbcConstants.FakeServiceType` Enum for the services that can be replaced with a fake service in integration tests.

### Field Summary

Fields
`static String` `AAD_CLIENT_ID`
`static String` `ACCESS_TOKEN_AUTH_TYPE`
`static Set<String>` `ALLOWED_CLIENT_INFO_PROPERTIES`
`static Map<String,​String>` `ALLOWED_SESSION_CONF_TO_DEFAULT_VALUES_MAP`
`static String` `ALLOWED_VOLUME_INGESTION_PATHS`
`static String` `AUTH_FLOW`
`static String` `AUTH_MECH`
`static String` `AWS_CLIENT_ID`
`static Pattern` `BASE_PATTERN`
`static String` `CATALOG`
`static String` `CF_PROXY_AUTH`
`static String` `CF_PROXY_HOST`
`static String` `CF_PROXY_PORT`
`static String` `CF_PROXY_PWD`
`static String` `CF_PROXY_USER`
`static String` `CLIENT_ID`
`static String` `CLIENT_SECRET`
`static String` `CLIENT_USER_AGENT_PREFIX`
`static String` `CLOUD_FETCH_THREAD_POOL_SIZE`
`static int` `CLOUD_FETCH_THREAD_POOL_SIZE_DEFAULT`
`static String` `COMPRESSION_FLAG`
`static String` `CONN_CATALOG`
`static String` `CONN_SCHEMA`
`static int` `DBSQL_MIN_MAJOR_VERSION_FOR_NEW_METADATA`
`static int` `DBSQL_MIN_MINOR_VERSION_FOR_NEW_METADATA`
`static Pattern` `DECLARE_PATTERN`
`static String` `DEFAULT_CATALOG`
`static String` `DEFAULT_FILE_LOG_PATTERN`
`static String` `DEFAULT_IDLE_HTTP_CONNECTION_EXPIRY`
`static int` `DEFAULT_LOG_FILE_COUNT`
`static int` `DEFAULT_LOG_FILE_SIZE_IN_MB`
`static LogLevel` `DEFAULT_LOG_LEVEL`
`static String` `DEFAULT_LOG_NAME_FILE`
`static String` `DEFAULT_LOG_PATH`
`static String` `DEFAULT_LOG_PATTERN`
`static int` `DEFAULT_PORT`
`static String` `DEFAULT_RATE_LIMIT_RETRY_TIMEOUT`
`static int` `DEFAULT_RETRY_COUNT`
`static String` `DEFAULT_SCHEMA`
`static String` `DEFAULT_TEMPORARILY_UNAVAILABLE_RETRY_TIMEOUT`
`static String` `DEFAULT_USER_AGENT`
`static Pattern` `DESCRIBE_PATTERN`
`static String` `DIRECT_RESULT`
`static String` `EMPTY_STRING`
`static String` `ENABLE_ARROW`
`static String` `ENABLE_TELEMETRY`
`static Pattern` `EXCEPT_PATTERN`
`static Pattern` `EXPLAIN_PATTERN`
`static String` `FAKE_SERVICE_URI_PROP_SUFFIX`
`static Pattern` `FROM_PATTERN`
`static String` `FULL_STOP`
`static Pattern` `GET_PATTERN`
`static Pattern` `HTTP_CLI_PATTERN`
`static Pattern` `HTTP_CLUSTER_PATH_PATTERN`
`static Pattern` `HTTP_ENDPOINT_PATH_PATTERN`
`static String` `HTTP_PATH`
`static Pattern` `HTTP_PATH_CLI_PATTERN`
`static String` `HTTP_SCHEMA`
`static Pattern` `HTTP_WAREHOUSE_PATH_PATTERN`
`static String` `HTTPS_SCHEMA`
`static String` `IDENTIFIER_QUOTE_STRING`
`static Pattern` `INTERSECT_PATTERN`
`static String` `IS_FAKE_SERVICE_TEST_PROP`
`static String` `JDBC_SCHEMA`
`static Pattern` `JDBC_URL_PATTERN`
`static Pattern` `LIST_PATTERN`
`static String` `LOG_FILE_COUNT`
`static String` `LOG_FILE_SIZE`
`static String` `LOG_LEVEL`
`static String` `LOG_PATH`
`static String` `LOGIN_TIMEOUT`
`static String` `LZ4_COMPRESSION_FLAG` Adding this for backward compatibility only
`static String` `M2M_AUTH_TYPE`
`static Pattern` `MAP_PATTERN`
`static String` `OFFLINE_ACCESS_SCOPE`
`static String` `PAIR_DELIMITER`
`static String` `PASSWORD`
`static String` `POLL_INTERVAL`
`static int` `POLL_INTERVAL_DEFAULT`
`static String` `PORT`
`static String` `PORT_DELIMITER`
`static String` `PROCEDURE`
`static String` `PROXY_AUTH`
`static String` `PROXY_HOST`
`static String` `PROXY_PORT`
`static String` `PROXY_PWD`
`static String` `PROXY_USER`
`static Pattern` `PUT_PATTERN`
`static String` `PWD` Only used when AUTH_MECH = 3
`static Pattern` `REMOVE_PATTERN`
`static String` `SCHEMA`
`static Pattern` `SELECT_PATTERN`
`static Pattern` `SET_PATTERN`
`static Pattern` `SHOW_PATTERN`
`static String` `SQL_SCOPE`
`static String` `SSL`
`static String` `TABLE`
`static LogLevel` `TELEMETRY_LOG_LEVEL`
`static Pattern` `TEST_PATH_PATTERN`
`static String` `U2M_AUTH_REDIRECT_URL`
`static String` `U2M_AUTH_TYPE`
`static Pattern` `UNION_PATTERN`
`static String` `URL_DELIMITER`
`static String` `USE_CF_PROXY`
`static String` `USE_LEGACY_METADATA`
`static String` `USE_PROXY`
`static String` `USE_SYSTEM_PROXY`
`static String` `USE_THRIFT_CLIENT`
`static String` `USER`
`static String` `USER_AGENT_DELIMITER`
`static String` `USER_AGENT_ENTRY`
`static String` `USER_AGENT_SEA_CLIENT`
`static String` `USER_AGENT_THRIFT_CLIENT`
`static String` `USER_NAME`
`static Pattern` `VALUES_PATTERN`
`static String` `VOLUME_OPERATION_STATUS_COLUMN_NAME`
`static String` `VOLUME_OPERATION_STATUS_SUCCEEDED`
`static Pattern` `WITH_PATTERN`

### Constructor Summary

Constructors
`DatabricksJdbcConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JDBC_URL_PATTERN

    public static final Pattern JDBC_URL_PATTERN

#### HTTP_WAREHOUSE_PATH_PATTERN

    public static final Pattern HTTP_WAREHOUSE_PATH_PATTERN

#### HTTP_ENDPOINT_PATH_PATTERN

    public static final Pattern HTTP_ENDPOINT_PATH_PATTERN

#### HTTP_CLI_PATTERN

    public static final Pattern HTTP_CLI_PATTERN

#### HTTP_PATH_CLI_PATTERN

    public static final Pattern HTTP_PATH_CLI_PATTERN

#### TEST_PATH_PATTERN

    public static final Pattern TEST_PATH_PATTERN

#### BASE_PATTERN

    public static final Pattern BASE_PATTERN

#### HTTP_CLUSTER_PATH_PATTERN

    public static final Pattern HTTP_CLUSTER_PATH_PATTERN

#### JDBC_SCHEMA

    public static final String JDBC_SCHEMA

See Also:
  Constant Field Values

#### DEFAULT_LOG_LEVEL

    public static final LogLevel DEFAULT_LOG_LEVEL

#### LOG_LEVEL

    public static final String LOG_LEVEL

See Also:
  Constant Field Values

#### LOG_PATH

    public static final String LOG_PATH

See Also:
  Constant Field Values

#### DEFAULT_LOG_PATH

    public static final String DEFAULT_LOG_PATH

#### LOG_FILE_SIZE

    public static final String LOG_FILE_SIZE

See Also:
  Constant Field Values

#### DEFAULT_LOG_FILE_SIZE_IN_MB

    public static final int DEFAULT_LOG_FILE_SIZE_IN_MB

See Also:
  Constant Field Values

#### DEFAULT_LOG_PATTERN

    public static final String DEFAULT_LOG_PATTERN

See Also:
  Constant Field Values

#### DEFAULT_FILE_LOG_PATTERN

    public static final String DEFAULT_FILE_LOG_PATTERN

See Also:
  Constant Field Values

#### DEFAULT_LOG_NAME_FILE

    public static final String DEFAULT_LOG_NAME_FILE

See Also:
  Constant Field Values

#### LOG_FILE_COUNT

    public static final String LOG_FILE_COUNT

See Also:
  Constant Field Values

#### DEFAULT_LOG_FILE_COUNT

    public static final int DEFAULT_LOG_FILE_COUNT

See Also:
  Constant Field Values

#### USER_AGENT_DELIMITER

    public static final String USER_AGENT_DELIMITER

See Also:
  Constant Field Values

#### URL_DELIMITER

    public static final String URL_DELIMITER

See Also:
  Constant Field Values

#### PORT_DELIMITER

    public static final String PORT_DELIMITER

See Also:
  Constant Field Values

#### DEFAULT_SCHEMA

    public static final String DEFAULT_SCHEMA

See Also:
  Constant Field Values

#### DEFAULT_CATALOG

    public static final String DEFAULT_CATALOG

See Also:
  Constant Field Values

#### PAIR_DELIMITER

    public static final String PAIR_DELIMITER

See Also:
  Constant Field Values

#### USER

    public static final String USER

See Also:
  Constant Field Values

#### PASSWORD

    public static final String PASSWORD

See Also:
  Constant Field Values

#### CLIENT_ID

    public static final String CLIENT_ID

See Also:
  Constant Field Values

#### CLIENT_SECRET

    public static final String CLIENT_SECRET

See Also:
  Constant Field Values

#### AUTH_MECH

    public static final String AUTH_MECH

See Also:
  Constant Field Values

#### CONN_CATALOG

    public static final String CONN_CATALOG

See Also:
  Constant Field Values

#### CONN_SCHEMA

    public static final String CONN_SCHEMA

See Also:
  Constant Field Values

#### PROXY_HOST

    public static final String PROXY_HOST

See Also:
  Constant Field Values

#### PROXY_PORT

    public static final String PROXY_PORT

See Also:
  Constant Field Values

#### PROXY_USER

    public static final String PROXY_USER

See Also:
  Constant Field Values

#### PROXY_PWD

    public static final String PROXY_PWD

See Also:
  Constant Field Values

#### USE_PROXY

    public static final String USE_PROXY

See Also:
  Constant Field Values

#### PROXY_AUTH

    public static final String PROXY_AUTH

See Also:
  Constant Field Values

#### USE_SYSTEM_PROXY

    public static final String USE_SYSTEM_PROXY

See Also:
  Constant Field Values

#### USE_CF_PROXY

    public static final String USE_CF_PROXY

See Also:
  Constant Field Values

#### CF_PROXY_HOST

    public static final String CF_PROXY_HOST

See Also:
  Constant Field Values

#### CF_PROXY_PORT

    public static final String CF_PROXY_PORT

See Also:
  Constant Field Values

#### CF_PROXY_AUTH

    public static final String CF_PROXY_AUTH

See Also:
  Constant Field Values

#### CF_PROXY_USER

    public static final String CF_PROXY_USER

See Also:
  Constant Field Values

#### CF_PROXY_PWD

    public static final String CF_PROXY_PWD

See Also:
  Constant Field Values

#### ENABLE_ARROW

    public static final String ENABLE_ARROW

See Also:
  Constant Field Values

#### AUTH_FLOW

    public static final String AUTH_FLOW

See Also:
  Constant Field Values

#### PWD

    public static final String PWD

Only used when AUTH_MECH = 3

See Also:
  Constant Field Values

#### POLL_INTERVAL

    public static final String POLL_INTERVAL

See Also:
  Constant Field Values

#### POLL_INTERVAL_DEFAULT

    public static final int POLL_INTERVAL_DEFAULT

See Also:
  Constant Field Values

#### AWS_CLIENT_ID

    public static final String AWS_CLIENT_ID

See Also:
  Constant Field Values

#### AAD_CLIENT_ID

    public static final String AAD_CLIENT_ID

See Also:
  Constant Field Values

#### HTTP_PATH

    public static final String HTTP_PATH

See Also:
  Constant Field Values

#### SSL

    public static final String SSL

See Also:
  Constant Field Values

#### HTTP_SCHEMA

    public static final String HTTP_SCHEMA

See Also:
  Constant Field Values

#### HTTPS_SCHEMA

    public static final String HTTPS_SCHEMA

See Also:
  Constant Field Values

#### DIRECT_RESULT

    public static final String DIRECT_RESULT

See Also:
  Constant Field Values

#### LOGIN_TIMEOUT

    public static final String LOGIN_TIMEOUT

See Also:
  Constant Field Values

#### U2M_AUTH_TYPE

    public static final String U2M_AUTH_TYPE

See Also:
  Constant Field Values

#### M2M_AUTH_TYPE

    public static final String M2M_AUTH_TYPE

See Also:
  Constant Field Values

#### ACCESS_TOKEN_AUTH_TYPE

    public static final String ACCESS_TOKEN_AUTH_TYPE

See Also:
  Constant Field Values

#### U2M_AUTH_REDIRECT_URL

    public static final String U2M_AUTH_REDIRECT_URL

See Also:
  Constant Field Values

#### SQL_SCOPE

    public static final String SQL_SCOPE

See Also:
  Constant Field Values

#### OFFLINE_ACCESS_SCOPE

    public static final String OFFLINE_ACCESS_SCOPE

See Also:
  Constant Field Values

#### FULL_STOP

    public static final String FULL_STOP

See Also:
  Constant Field Values

#### EMPTY_STRING

    public static final String EMPTY_STRING

See Also:
  Constant Field Values

#### IDENTIFIER_QUOTE_STRING

    public static final String IDENTIFIER_QUOTE_STRING

See Also:
  Constant Field Values

#### CATALOG

    public static final String CATALOG

See Also:
  Constant Field Values

#### PROCEDURE

    public static final String PROCEDURE

See Also:
  Constant Field Values

#### SCHEMA

    public static final String SCHEMA

See Also:
  Constant Field Values

#### TABLE

    public static final String TABLE

See Also:
  Constant Field Values

#### USER_NAME

    public static final String USER_NAME

See Also:
  Constant Field Values

#### PORT

    public static final String PORT

See Also:
  Constant Field Values

#### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

#### LZ4_COMPRESSION_FLAG

    public static final String LZ4_COMPRESSION_FLAG

Adding this for backward compatibility only

See Also:
  Constant Field Values

#### COMPRESSION_FLAG

    public static final String COMPRESSION_FLAG

See Also:
  Constant Field Values

#### USER_AGENT_ENTRY

    public static final String USER_AGENT_ENTRY

See Also:
  Constant Field Values

#### DEFAULT_USER_AGENT

    public static final String DEFAULT_USER_AGENT

See Also:
  Constant Field Values

#### CLIENT_USER_AGENT_PREFIX

    public static final String CLIENT_USER_AGENT_PREFIX

See Also:
  Constant Field Values

#### USER_AGENT_SEA_CLIENT

    public static final String USER_AGENT_SEA_CLIENT

See Also:
  Constant Field Values

#### USER_AGENT_THRIFT_CLIENT

    public static final String USER_AGENT_THRIFT_CLIENT

See Also:
  Constant Field Values

#### ALLOWED_VOLUME_INGESTION_PATHS

    public static final String ALLOWED_VOLUME_INGESTION_PATHS

See Also:
  Constant Field Values

#### VOLUME_OPERATION_STATUS_COLUMN_NAME

    public static final String VOLUME_OPERATION_STATUS_COLUMN_NAME

See Also:
  Constant Field Values

#### VOLUME_OPERATION_STATUS_SUCCEEDED

    public static final String VOLUME_OPERATION_STATUS_SUCCEEDED

See Also:
  Constant Field Values

#### ALLOWED_SESSION_CONF_TO_DEFAULT_VALUES_MAP

    public static final Map<String,​String> ALLOWED_SESSION_CONF_TO_DEFAULT_VALUES_MAP

#### ALLOWED_CLIENT_INFO_PROPERTIES

    public static final Set<String> ALLOWED_CLIENT_INFO_PROPERTIES

#### IS_FAKE_SERVICE_TEST_PROP

    public static final String IS_FAKE_SERVICE_TEST_PROP

See Also:
  Constant Field Values

#### FAKE_SERVICE_URI_PROP_SUFFIX

    public static final String FAKE_SERVICE_URI_PROP_SUFFIX

See Also:
  Constant Field Values

#### USE_THRIFT_CLIENT

    public static final String USE_THRIFT_CLIENT

See Also:
  Constant Field Values

#### USE_LEGACY_METADATA

    public static final String USE_LEGACY_METADATA

See Also:
  Constant Field Values

#### DEFAULT_TEMPORARILY_UNAVAILABLE_RETRY_TIMEOUT

    public static final String DEFAULT_TEMPORARILY_UNAVAILABLE_RETRY_TIMEOUT

See Also:
  Constant Field Values

#### DEFAULT_RATE_LIMIT_RETRY_TIMEOUT

    public static final String DEFAULT_RATE_LIMIT_RETRY_TIMEOUT

See Also:
  Constant Field Values

#### DEFAULT_IDLE_HTTP_CONNECTION_EXPIRY

    public static final String DEFAULT_IDLE_HTTP_CONNECTION_EXPIRY

See Also:
  Constant Field Values

#### CLOUD_FETCH_THREAD_POOL_SIZE

    public static final String CLOUD_FETCH_THREAD_POOL_SIZE

See Also:
  Constant Field Values

#### CLOUD_FETCH_THREAD_POOL_SIZE_DEFAULT

    public static final int CLOUD_FETCH_THREAD_POOL_SIZE_DEFAULT

See Also:
  Constant Field Values

#### ENABLE_TELEMETRY

    public static final String ENABLE_TELEMETRY

See Also:
  Constant Field Values

#### SELECT_PATTERN

    public static final Pattern SELECT_PATTERN

#### SHOW_PATTERN

    public static final Pattern SHOW_PATTERN

#### DESCRIBE_PATTERN

    public static final Pattern DESCRIBE_PATTERN

#### EXPLAIN_PATTERN

    public static final Pattern EXPLAIN_PATTERN

#### WITH_PATTERN

    public static final Pattern WITH_PATTERN

#### SET_PATTERN

    public static final Pattern SET_PATTERN

#### MAP_PATTERN

    public static final Pattern MAP_PATTERN

#### FROM_PATTERN

    public static final Pattern FROM_PATTERN

#### VALUES_PATTERN

    public static final Pattern VALUES_PATTERN

#### UNION_PATTERN

    public static final Pattern UNION_PATTERN

#### INTERSECT_PATTERN

    public static final Pattern INTERSECT_PATTERN

#### EXCEPT_PATTERN

    public static final Pattern EXCEPT_PATTERN

#### DECLARE_PATTERN

    public static final Pattern DECLARE_PATTERN

#### PUT_PATTERN

    public static final Pattern PUT_PATTERN

#### GET_PATTERN

    public static final Pattern GET_PATTERN

#### REMOVE_PATTERN

    public static final Pattern REMOVE_PATTERN

#### LIST_PATTERN

    public static final Pattern LIST_PATTERN

#### DBSQL_MIN_MAJOR_VERSION_FOR_NEW_METADATA

    public static final int DBSQL_MIN_MAJOR_VERSION_FOR_NEW_METADATA

See Also:
  Constant Field Values

#### DBSQL_MIN_MINOR_VERSION_FOR_NEW_METADATA

    public static final int DBSQL_MIN_MINOR_VERSION_FOR_NEW_METADATA

See Also:
  Constant Field Values

#### DEFAULT_RETRY_COUNT

    public static final int DEFAULT_RETRY_COUNT

See Also:
  Constant Field Values

#### TELEMETRY_LOG_LEVEL

    public static final LogLevel TELEMETRY_LOG_LEVEL

### Constructor Detail

#### DatabricksJdbcConstants

    public DatabricksJdbcConstants()